Bug 139859 - [ata] Intel 82801 SATA Controller not recognized [regression]
Summary: [ata] Intel 82801 SATA Controller not recognized [regression]
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: amd64 (show other bugs)
Version: unspecified
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-amd64 mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-10-23 09:10 UTC by kamikaze
Modified: 2009-10-29 15:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description kamikaze 2009-10-23 09:10:03 UTC
After an update from RELENG_7 neither the SATA controller nor any of the drives
were recognized, hence the system was unable to mount the root partition
(/dev/ufs/2root alias /dev/ad4s2a).

After deactivating SATA Native Mode in the BIOS (HP Compaq 6510b notebook) the drive was back (now as ad0), however I consider this a workaround, not a solution.

Here's some information about the system:
# pciconf -lv | grep -i sata -C5
    device     = '82801HEM (ICH8M-E) LPC Interface Controller'
    class      = bridge
    subclass   = PCI-ISA
atapci0@pci0:0:31:2:	class=0x010180 card=0x30c0103c chip=0x28288086 rev=0x03 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = '82801 (ICH8M) 3 port SATA Controller'
    class      = mass storage
    subclass   = ATA
wpi0@pci0:16:0:0:	class=0x028000 card=0x135c103c chip=0x42228086 rev=0x02 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = 'Intel 3945ABG Wireless LAN controller (10208086)'

This is from the RELENG_7 dmesg:
atapci0: <Intel ICH8M UDMA100 controller> port 0x1f0-0x1f7,0x3f6,0x170-0x177,0x376,0x40c0-0x40cf irq 16 at device 31.1 on pci0
ata0: <ATA channel 0> on atapci0
ata0: [ITHREAD]
atapci1: <Intel ICH8M SATA300 controller> port 0x13f0-0x13f7,0x15f4-0x15f7,0x1370-0x1377,0x1574-0x1577,0x4100-0x411f mem 0xe4809000-0xe48097ff irq 17 at device 31.2 on pci0
atapci1: [ITHREAD]
atapci1: AHCI called from vendor specific driver
atapci1: AHCI Version 01.10 controller with 3 ports detected
ata2: <ATA channel 0> on atapci1
ata2: [ITHREAD]
ata3: <ATA channel 1> on atapci1
ata3: port not implemented
ata3: [ITHREAD]
ata4: <ATA channel 2> on atapci1
ata4: port not implemented
ata4: [ITHREAD]
..
acd0: DVDR <Optiarc DVD RW AD-7560A/DH10> at ata0-master PIO4
ad4: 152627MB <Seagate ST9160821AS 3.BHE> at ata2-master SATA150

This is from the RELENG_8 dmesg in SATA native mode:
atapci0: <Intel ATA controller> port 0x1f0-0x1f7,0x3f6,0x170-0x177,0x376,0x40c0-0x40cf irq 16 at device 31.1 on pci0
ata0: <ATA channel 0> on atapci0
ata0: [ITHREAD]
ata1: <ATA channel 1> on atapci0
ata1: [ITHREAD]
pci0: <mass storage, SATA> at device 31.2 (no driver attached)
..
acd0: DVDR <Optiarc DVD RW AD-7560A/DH10> at ata0-master PIO4
..
SMP: AP CPU #1 Launched!
Trying to mount root from ufs:/dev/ufs/2root
ROOT MOUNT ERROR: 
..

This is from the RELENG_8 dmesg with SATA native mode deactivated:
atapci0: <Intel ATA controller> port 0x1f0-0x1f7,0x3f6,0x170-0x177,0x376,0x40c0-
0x40cf,0x40d0-0x40df irq 17 at device 31.2 on pci0
ata0: <ATA channel 0> on atapci0
ata0: [ITHREAD]
ata1: <ATA channel 1> on atapci0
ata1: [ITHREAD]
..
ad0: 152627MB <Seagate ST9160821AS 3.BHE> at ata0-master UDMA33
..
acd0: DVDR <Optiarc DVD RW AD-7560A/DH10> at ata1-master PIO4


UDMA33 doesn't really sound like full speed.
I have the following line in my rc.local for the DVD drive:
/sbin/atacontrol mode acd0 WDMA2

How-To-Repeat: Try to boot from a SATA drive attached to an ICH8 Intel 82801 SATA controller.
Comment 1 Alexander Motin freebsd_committer 2009-10-23 16:50:51 UTC
As I can see, you are using custom kernel. In 8.x ATA subsystem was
split into several modules. Make sure that you have enabled all required
kernel options or loaded modules. Looks like you have just loaded ata
module, but not ataintel and ataahci.

-- 
Alexander Motin
Comment 2 kamikaze 2009-10-25 18:44:23 UTC
Alexander Motin wrote:
> As I can see, you are using custom kernel. In 8.x ATA subsystem was
> split into several modules. Make sure that you have enabled all required
> kernel options or loaded modules. Looks like you have just loaded ata
> module, but not ataintel and ataahci.
> 

That fixed my problem, thanks. To my defense, I didn't find anything
about this in /usr/src/UPDATING
Comment 3 dfilter service freebsd_committer 2009-10-26 09:16:27 UTC
Author: mav
Date: Mon Oct 26 09:16:08 2009
New Revision: 198480
URL: http://svn.freebsd.org/changeset/base/198480

Log:
  Document atapci kernel module split.
  
  PR:		amd64/139859
  MFC after:	3 days

Modified:
  head/UPDATING

Modified: head/UPDATING
==============================================================================
--- head/UPDATING	Mon Oct 26 08:41:10 2009	(r198479)
+++ head/UPDATING	Mon Oct 26 09:16:08 2009	(r198480)
@@ -632,6 +632,15 @@ NOTE TO PEOPLE WHO THINK THAT FreeBSD 9.
 	userland (libpmc(3)) and the kernel module (hwpmc(4)) in
 	sync.
 
+20081009:
+	atapci kernel module now includes only generic PCI ATA
+	driver. AHCI driver moved to ataahci kernel module.
+	All vendor-specific code moved into separate kernel modules:
+	ataacard, ataacerlabs, ataadaptec, ataamd, ataati, atacenatek,
+	atacypress, atacyrix, atahighpoint, ataintel, ataite, atajmicron,
+	atamarvell, atamicron, atanational, atanetcell, atanvidia,
+	atapromise, ataserverworks, atasiliconimage, atasis, atavia
+
 20080820:
 	The TTY subsystem of the kernel has been replaced by a new
 	implementation, which provides better scalability and an
_______________________________________________
svn-src-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-src-all
To unsubscribe, send any mail to "svn-src-all-unsubscribe@freebsd.org"
Comment 4 dfilter service freebsd_committer 2009-10-29 09:58:26 UTC
Author: mav
Date: Thu Oct 29 09:58:16 2009
New Revision: 198574
URL: http://svn.freebsd.org/changeset/base/198574

Log:
  MFC rev. 198480, 198483:
  Document new modularised ATA kernel modules and options.
  
  PR:             kern/133162, amd64/139859

Modified:
  stable/8/   (props changed)
  stable/8/ObsoleteFiles.inc   (props changed)
  stable/8/UPDATING   (contents, props changed)
  stable/8/bin/csh/   (props changed)
  stable/8/bin/sh/   (props changed)
  stable/8/cddl/compat/opensolaris/   (props changed)
  stable/8/cddl/contrib/opensolaris/   (props changed)
  stable/8/cddl/lib/libnvpair/   (props changed)
  stable/8/contrib/bind9/   (props changed)
  stable/8/contrib/bzip2/   (props changed)
  stable/8/contrib/cpio/   (props changed)
  stable/8/contrib/csup/   (props changed)
  stable/8/contrib/ee/   (props changed)
  stable/8/contrib/file/   (props changed)
  stable/8/contrib/gdb/   (props changed)
  stable/8/contrib/gdtoa/   (props changed)
  stable/8/contrib/less/   (props changed)
  stable/8/contrib/libpcap/   (props changed)
  stable/8/contrib/ncurses/   (props changed)
  stable/8/contrib/netcat/   (props changed)
  stable/8/contrib/ntp/   (props changed)
  stable/8/contrib/openbsm/   (props changed)
  stable/8/contrib/openpam/   (props changed)
  stable/8/contrib/pf/   (props changed)
  stable/8/contrib/sendmail/   (props changed)
  stable/8/contrib/tcpdump/   (props changed)
  stable/8/contrib/tcsh/   (props changed)
  stable/8/contrib/top/   (props changed)
  stable/8/contrib/top/install-sh   (props changed)
  stable/8/contrib/traceroute/   (props changed)
  stable/8/contrib/wpa/   (props changed)
  stable/8/crypto/openssh/   (props changed)
  stable/8/crypto/openssl/   (props changed)
  stable/8/etc/   (props changed)
  stable/8/gnu/usr.bin/patch/   (props changed)
  stable/8/include/   (props changed)
  stable/8/kerberos5/lib/libgssapi_krb5/   (props changed)
  stable/8/kerberos5/lib/libgssapi_spnego/   (props changed)
  stable/8/lib/libarchive/   (props changed)
  stable/8/lib/libc/   (props changed)
  stable/8/lib/libc/gen/   (props changed)
  stable/8/lib/libc/stdio/asprintf.c   (props changed)
  stable/8/lib/libc/stdtime/   (props changed)
  stable/8/lib/libc/string/ffsll.c   (props changed)
  stable/8/lib/libc/string/flsll.c   (props changed)
  stable/8/lib/libc/string/wcpcpy.c   (props changed)
  stable/8/lib/libc/string/wcpncpy.c   (props changed)
  stable/8/lib/libdevinfo/   (props changed)
  stable/8/lib/libdisk/   (props changed)
  stable/8/lib/libkvm/   (props changed)
  stable/8/lib/libthr/   (props changed)
  stable/8/lib/libusb/   (props changed)
  stable/8/lib/libusb/usb.h   (props changed)
  stable/8/lib/libutil/   (props changed)
  stable/8/libexec/rtld-elf/   (props changed)
  stable/8/release/   (props changed)
  stable/8/release/doc/   (props changed)
  stable/8/release/doc/en_US.ISO8859-1/hardware/   (props changed)
  stable/8/sbin/   (props changed)
  stable/8/sbin/bsdlabel/   (props changed)
  stable/8/sbin/camcontrol/   (props changed)
  stable/8/sbin/dhclient/   (props changed)
  stable/8/sbin/geom/   (props changed)
  stable/8/sbin/ifconfig/   (props changed)
  stable/8/sbin/ipfw/   (props changed)
  stable/8/sbin/mksnap_ffs/   (props changed)
  stable/8/sbin/mount/   (props changed)
  stable/8/sbin/mount_nfs/   (props changed)
  stable/8/sbin/umount/   (props changed)
  stable/8/share/man/man4/   (props changed)
  stable/8/share/man/man5/   (props changed)
  stable/8/share/man/man7/   (props changed)
  stable/8/share/man/man9/   (props changed)
  stable/8/share/timedef/   (props changed)
  stable/8/share/zoneinfo/   (props changed)
  stable/8/sys/   (props changed)
  stable/8/sys/amd64/include/xen/   (props changed)
  stable/8/sys/cddl/contrib/opensolaris/   (props changed)
  stable/8/sys/conf/NOTES
  stable/8/sys/contrib/dev/acpica/   (props changed)
  stable/8/sys/contrib/pf/   (props changed)
  stable/8/sys/dev/xen/xenpci/   (props changed)
  stable/8/tools/regression/bin/sh/   (props changed)
  stable/8/tools/regression/lib/msun/test-conj.t   (props changed)
  stable/8/tools/regression/poll/   (props changed)
  stable/8/tools/regression/priv/   (props changed)
  stable/8/tools/regression/usr.bin/pkill/pgrep-_g.t   (props changed)
  stable/8/tools/regression/usr.bin/pkill/pgrep-_s.t   (props changed)
  stable/8/tools/regression/usr.bin/pkill/pkill-_g.t   (props changed)
  stable/8/tools/tools/ath/common/dumpregs.h   (props changed)
  stable/8/tools/tools/ath/common/dumpregs_5210.c   (props changed)
  stable/8/tools/tools/ath/common/dumpregs_5211.c   (props changed)
  stable/8/tools/tools/ath/common/dumpregs_5212.c   (props changed)
  stable/8/tools/tools/ath/common/dumpregs_5416.c   (props changed)
  stable/8/tools/tools/termcap/termcap.pl   (props changed)
  stable/8/tools/tools/vimage/   (props changed)
  stable/8/usr.bin/calendar/calendars/calendar.freebsd   (props changed)
  stable/8/usr.bin/csup/   (props changed)
  stable/8/usr.bin/fstat/   (props changed)
  stable/8/usr.bin/look/   (props changed)
  stable/8/usr.bin/netstat/   (props changed)
  stable/8/usr.bin/procstat/   (props changed)
  stable/8/usr.bin/w/   (props changed)
  stable/8/usr.bin/whois/   (props changed)
  stable/8/usr.sbin/   (props changed)
  stable/8/usr.sbin/arp/   (props changed)
  stable/8/usr.sbin/dumpcis/cardinfo.h   (props changed)
  stable/8/usr.sbin/dumpcis/cis.h   (props changed)
  stable/8/usr.sbin/freebsd-update/   (props changed)
  stable/8/usr.sbin/iostat/   (props changed)
  stable/8/usr.sbin/jls/   (props changed)
  stable/8/usr.sbin/lpr/   (props changed)
  stable/8/usr.sbin/makefs/ffs/ffs_bswap.c   (props changed)
  stable/8/usr.sbin/makefs/ffs/ffs_subr.c   (props changed)
  stable/8/usr.sbin/makefs/ffs/ufs_bswap.h   (props changed)
  stable/8/usr.sbin/makefs/getid.c   (props changed)
  stable/8/usr.sbin/mfiutil/mfiutil.8   (props changed)
  stable/8/usr.sbin/ndp/   (props changed)
  stable/8/usr.sbin/ntp/   (props changed)
  stable/8/usr.sbin/ppp/   (props changed)
  stable/8/usr.sbin/pstat/   (props changed)
  stable/8/usr.sbin/sysinstall/   (props changed)
  stable/8/usr.sbin/traceroute6/   (props changed)
  stable/8/usr.sbin/wpa/   (props changed)
  stable/8/usr.sbin/zic/   (props changed)

Modified: stable/8/UPDATING
==============================================================================
--- stable/8/UPDATING	Thu Oct 29 09:51:13 2009	(r198573)
+++ stable/8/UPDATING	Thu Oct 29 09:58:16 2009	(r198574)
@@ -566,6 +566,15 @@ NOTE TO PEOPLE WHO THINK THAT FreeBSD 8.
 	userland (libpmc(3)) and the kernel module (hwpmc(4)) in
 	sync.
 
+20081009:
+	atapci kernel module now includes only generic PCI ATA
+	driver. AHCI driver moved to ataahci kernel module.
+	All vendor-specific code moved into separate kernel modules:
+	ataacard, ataacerlabs, ataadaptec, ataamd, ataati, atacenatek,
+	atacypress, atacyrix, atahighpoint, ataintel, ataite, atajmicron,
+	atamarvell, atamicron, atanational, atanetcell, atanvidia,
+	atapromise, ataserverworks, atasiliconimage, atasis, atavia
+
 20080820:
 	The TTY subsystem of the kernel has been replaced by a new
 	implementation, which provides better scalability and an

Modified: stable/8/sys/conf/NOTES
==============================================================================
--- stable/8/sys/conf/NOTES	Thu Oct 29 09:51:13 2009	(r198573)
+++ stable/8/sys/conf/NOTES	Thu Oct 29 09:58:16 2009	(r198574)
@@ -1657,6 +1657,10 @@ device		siis
 # The 'ATA' driver supports all ATA and ATAPI devices, including PC Card
 # devices. You only need one "device ata" for it to find all
 # PCI and PC Card ATA/ATAPI devices on modern machines.
+# Alternatively, individual bus and chipset drivers may be chosen by using
+# the 'atacore' driver then selecting the drivers on a per vendor basis.
+# For example to build a system which only supports a VIA chipset,
+# omit 'ata' and include the 'atacore', 'atapci' and 'atavia' drivers.
 device		ata
 device		atadisk		# ATA disk drives
 device		ataraid		# ATA RAID drives
@@ -1665,6 +1669,39 @@ device		atapifd		# ATAPI floppy drives
 device		atapist		# ATAPI tape drives
 device		atapicam	# emulate ATAPI devices as SCSI ditto via CAM
 				# needs CAM to be present (scbus & pass)
+
+# Modular ATA
+#device		atacore		# Core ATA functionality
+#device		atacard		# CARDBUS support
+#device		atabus		# PC98 cbus support
+#device		ataisa		# ISA bus support
+#device		atapci		# PCI bus support; only generic chipset support
+
+# PCI ATA chipsets
+#device		ataahci		# AHCI SATA
+#device		ataacard	# ACARD
+#device		ataacerlabs	# Acer Labs Inc. (ALI)
+#device		ataadaptec	# Adaptec
+#device		ataamd		# American Micro Devices (AMD)
+#device		ataati		# ATI
+#device		atacenatek	# Cenatek
+#device		atacypress	# Cypress
+#device		atacyrix	# Cyrix
+#device		atahighpoint	# HighPoint
+#device		ataintel	# Intel
+#device		ataite		# Integrated Technology Inc. (ITE)
+#device		atajmicron	# JMicron
+#device		atamarvell	# Marvell
+#device		atamicron	# Micron
+#device		atanational	# National
+#device		atanetcell	# NetCell
+#device		atanvidia	# nVidia
+#device		atapromise	# Promise
+#device		ataserverworks	# ServerWorks
+#device		atasiliconimage	# Silicon Image Inc. (SiI) (formerly CMD)
+#device		atasis		# Silicon Integrated Systems Corp.(SiS)
+#device		atavia		# VIA Technologies Inc.
+
 #
 # For older non-PCI, non-PnPBIOS systems, these are the hints lines to add:
 hint.ata.0.at="isa"
_______________________________________________
svn-src-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-src-all
To unsubscribe, send any mail to "svn-src-all-unsubscribe@freebsd.org"
Comment 5 Alexander Motin freebsd_committer 2009-10-29 15:30:57 UTC
State Changed
From-To: open->closed

UPDATING patch committed.
Comment 6 dfilter service freebsd_committer 2009-10-29 15:43:05 UTC
Author: mav
Date: Thu Oct 29 15:42:50 2009
New Revision: 198606
URL: http://svn.freebsd.org/changeset/base/198606

Log:
  MFC rev. 198480, 198483:
  Document new modularised ATA kernel modules and options.
  
  PR:             kern/133162, amd64/139859
  Approved by:    re (kib)

Modified:
  releng/8.0/   (props changed)
  releng/8.0/ObsoleteFiles.inc   (props changed)
  releng/8.0/UPDATING   (contents, props changed)
  releng/8.0/bin/csh/   (props changed)
  releng/8.0/bin/sh/   (props changed)
  releng/8.0/cddl/compat/opensolaris/   (props changed)
  releng/8.0/cddl/contrib/opensolaris/   (props changed)
  releng/8.0/cddl/lib/libnvpair/   (props changed)
  releng/8.0/contrib/bind9/   (props changed)
  releng/8.0/contrib/bzip2/   (props changed)
  releng/8.0/contrib/cpio/   (props changed)
  releng/8.0/contrib/csup/   (props changed)
  releng/8.0/contrib/ee/   (props changed)
  releng/8.0/contrib/file/   (props changed)
  releng/8.0/contrib/gdb/   (props changed)
  releng/8.0/contrib/gdtoa/   (props changed)
  releng/8.0/contrib/less/   (props changed)
  releng/8.0/contrib/libpcap/   (props changed)
  releng/8.0/contrib/ncurses/   (props changed)
  releng/8.0/contrib/netcat/   (props changed)
  releng/8.0/contrib/ntp/   (props changed)
  releng/8.0/contrib/openbsm/   (props changed)
  releng/8.0/contrib/openpam/   (props changed)
  releng/8.0/contrib/pf/   (props changed)
  releng/8.0/contrib/sendmail/   (props changed)
  releng/8.0/contrib/tcpdump/   (props changed)
  releng/8.0/contrib/tcsh/   (props changed)
  releng/8.0/contrib/top/   (props changed)
  releng/8.0/contrib/top/install-sh   (props changed)
  releng/8.0/contrib/traceroute/   (props changed)
  releng/8.0/contrib/wpa/   (props changed)
  releng/8.0/crypto/openssh/   (props changed)
  releng/8.0/crypto/openssl/   (props changed)
  releng/8.0/etc/   (props changed)
  releng/8.0/gnu/usr.bin/patch/   (props changed)
  releng/8.0/include/   (props changed)
  releng/8.0/kerberos5/lib/libgssapi_krb5/   (props changed)
  releng/8.0/kerberos5/lib/libgssapi_spnego/   (props changed)
  releng/8.0/lib/libarchive/   (props changed)
  releng/8.0/lib/libc/   (props changed)
  releng/8.0/lib/libc/gen/   (props changed)
  releng/8.0/lib/libc/stdio/asprintf.c   (props changed)
  releng/8.0/lib/libc/stdtime/   (props changed)
  releng/8.0/lib/libc/string/ffsll.c   (props changed)
  releng/8.0/lib/libc/string/flsll.c   (props changed)
  releng/8.0/lib/libc/string/wcpcpy.c   (props changed)
  releng/8.0/lib/libc/string/wcpncpy.c   (props changed)
  releng/8.0/lib/libdevinfo/   (props changed)
  releng/8.0/lib/libdisk/   (props changed)
  releng/8.0/lib/libkvm/   (props changed)
  releng/8.0/lib/libthr/   (props changed)
  releng/8.0/lib/libusb/   (props changed)
  releng/8.0/lib/libusb/usb.h   (props changed)
  releng/8.0/lib/libutil/   (props changed)
  releng/8.0/libexec/rtld-elf/   (props changed)
  releng/8.0/release/   (props changed)
  releng/8.0/release/doc/   (props changed)
  releng/8.0/release/doc/en_US.ISO8859-1/hardware/   (props changed)
  releng/8.0/sbin/   (props changed)
  releng/8.0/sbin/bsdlabel/   (props changed)
  releng/8.0/sbin/camcontrol/   (props changed)
  releng/8.0/sbin/dhclient/   (props changed)
  releng/8.0/sbin/geom/   (props changed)
  releng/8.0/sbin/ifconfig/   (props changed)
  releng/8.0/sbin/ipfw/   (props changed)
  releng/8.0/sbin/mksnap_ffs/   (props changed)
  releng/8.0/sbin/mount/   (props changed)
  releng/8.0/sbin/mount_nfs/   (props changed)
  releng/8.0/sbin/umount/   (props changed)
  releng/8.0/share/man/man4/   (props changed)
  releng/8.0/share/man/man5/   (props changed)
  releng/8.0/share/man/man7/   (props changed)
  releng/8.0/share/man/man9/   (props changed)
  releng/8.0/share/timedef/   (props changed)
  releng/8.0/share/zoneinfo/   (props changed)
  releng/8.0/sys/   (props changed)
  releng/8.0/sys/amd64/include/xen/   (props changed)
  releng/8.0/sys/cddl/contrib/opensolaris/   (props changed)
  releng/8.0/sys/conf/NOTES
  releng/8.0/sys/contrib/dev/acpica/   (props changed)
  releng/8.0/sys/contrib/pf/   (props changed)
  releng/8.0/sys/dev/xen/xenpci/   (props changed)
  releng/8.0/tools/regression/bin/sh/   (props changed)
  releng/8.0/tools/regression/lib/msun/test-conj.t   (props changed)
  releng/8.0/tools/regression/poll/   (props changed)
  releng/8.0/tools/regression/priv/   (props changed)
  releng/8.0/tools/regression/usr.bin/pkill/pgrep-_g.t   (props changed)
  releng/8.0/tools/regression/usr.bin/pkill/pgrep-_s.t   (props changed)
  releng/8.0/tools/regression/usr.bin/pkill/pkill-_g.t   (props changed)
  releng/8.0/tools/tools/ath/common/dumpregs.h   (props changed)
  releng/8.0/tools/tools/ath/common/dumpregs_5210.c   (props changed)
  releng/8.0/tools/tools/ath/common/dumpregs_5211.c   (props changed)
  releng/8.0/tools/tools/ath/common/dumpregs_5212.c   (props changed)
  releng/8.0/tools/tools/ath/common/dumpregs_5416.c   (props changed)
  releng/8.0/tools/tools/termcap/termcap.pl   (props changed)
  releng/8.0/tools/tools/vimage/   (props changed)
  releng/8.0/usr.bin/calendar/calendars/calendar.freebsd   (props changed)
  releng/8.0/usr.bin/csup/   (props changed)
  releng/8.0/usr.bin/fstat/   (props changed)
  releng/8.0/usr.bin/look/   (props changed)
  releng/8.0/usr.bin/netstat/   (props changed)
  releng/8.0/usr.bin/procstat/   (props changed)
  releng/8.0/usr.bin/w/   (props changed)
  releng/8.0/usr.bin/whois/   (props changed)
  releng/8.0/usr.sbin/   (props changed)
  releng/8.0/usr.sbin/arp/   (props changed)
  releng/8.0/usr.sbin/dumpcis/cardinfo.h   (props changed)
  releng/8.0/usr.sbin/dumpcis/cis.h   (props changed)
  releng/8.0/usr.sbin/freebsd-update/   (props changed)
  releng/8.0/usr.sbin/iostat/   (props changed)
  releng/8.0/usr.sbin/jls/   (props changed)
  releng/8.0/usr.sbin/lpr/   (props changed)
  releng/8.0/usr.sbin/makefs/ffs/ffs_bswap.c   (props changed)
  releng/8.0/usr.sbin/makefs/ffs/ffs_subr.c   (props changed)
  releng/8.0/usr.sbin/makefs/ffs/ufs_bswap.h   (props changed)
  releng/8.0/usr.sbin/makefs/getid.c   (props changed)
  releng/8.0/usr.sbin/mfiutil/mfiutil.8   (props changed)
  releng/8.0/usr.sbin/ndp/   (props changed)
  releng/8.0/usr.sbin/ntp/   (props changed)
  releng/8.0/usr.sbin/ppp/   (props changed)
  releng/8.0/usr.sbin/pstat/   (props changed)
  releng/8.0/usr.sbin/sysinstall/   (props changed)
  releng/8.0/usr.sbin/traceroute6/   (props changed)
  releng/8.0/usr.sbin/wpa/   (props changed)
  releng/8.0/usr.sbin/zic/   (props changed)

Modified: releng/8.0/UPDATING
==============================================================================
--- releng/8.0/UPDATING	Thu Oct 29 15:39:30 2009	(r198605)
+++ releng/8.0/UPDATING	Thu Oct 29 15:42:50 2009	(r198606)
@@ -566,6 +566,15 @@ NOTE TO PEOPLE WHO THINK THAT FreeBSD 8.
 	userland (libpmc(3)) and the kernel module (hwpmc(4)) in
 	sync.
 
+20081009:
+	atapci kernel module now includes only generic PCI ATA
+	driver. AHCI driver moved to ataahci kernel module.
+	All vendor-specific code moved into separate kernel modules:
+	ataacard, ataacerlabs, ataadaptec, ataamd, ataati, atacenatek,
+	atacypress, atacyrix, atahighpoint, ataintel, ataite, atajmicron,
+	atamarvell, atamicron, atanational, atanetcell, atanvidia,
+	atapromise, ataserverworks, atasiliconimage, atasis, atavia
+
 20080820:
 	The TTY subsystem of the kernel has been replaced by a new
 	implementation, which provides better scalability and an

Modified: releng/8.0/sys/conf/NOTES
==============================================================================
--- releng/8.0/sys/conf/NOTES	Thu Oct 29 15:39:30 2009	(r198605)
+++ releng/8.0/sys/conf/NOTES	Thu Oct 29 15:42:50 2009	(r198606)
@@ -1657,6 +1657,10 @@ device		siis
 # The 'ATA' driver supports all ATA and ATAPI devices, including PC Card
 # devices. You only need one "device ata" for it to find all
 # PCI and PC Card ATA/ATAPI devices on modern machines.
+# Alternatively, individual bus and chipset drivers may be chosen by using
+# the 'atacore' driver then selecting the drivers on a per vendor basis.
+# For example to build a system which only supports a VIA chipset,
+# omit 'ata' and include the 'atacore', 'atapci' and 'atavia' drivers.
 device		ata
 device		atadisk		# ATA disk drives
 device		ataraid		# ATA RAID drives
@@ -1665,6 +1669,39 @@ device		atapifd		# ATAPI floppy drives
 device		atapist		# ATAPI tape drives
 device		atapicam	# emulate ATAPI devices as SCSI ditto via CAM
 				# needs CAM to be present (scbus & pass)
+
+# Modular ATA
+#device		atacore		# Core ATA functionality
+#device		atacard		# CARDBUS support
+#device		atabus		# PC98 cbus support
+#device		ataisa		# ISA bus support
+#device		atapci		# PCI bus support; only generic chipset support
+
+# PCI ATA chipsets
+#device		ataahci		# AHCI SATA
+#device		ataacard	# ACARD
+#device		ataacerlabs	# Acer Labs Inc. (ALI)
+#device		ataadaptec	# Adaptec
+#device		ataamd		# American Micro Devices (AMD)
+#device		ataati		# ATI
+#device		atacenatek	# Cenatek
+#device		atacypress	# Cypress
+#device		atacyrix	# Cyrix
+#device		atahighpoint	# HighPoint
+#device		ataintel	# Intel
+#device		ataite		# Integrated Technology Inc. (ITE)
+#device		atajmicron	# JMicron
+#device		atamarvell	# Marvell
+#device		atamicron	# Micron
+#device		atanational	# National
+#device		atanetcell	# NetCell
+#device		atanvidia	# nVidia
+#device		atapromise	# Promise
+#device		ataserverworks	# ServerWorks
+#device		atasiliconimage	# Silicon Image Inc. (SiI) (formerly CMD)
+#device		atasis		# Silicon Integrated Systems Corp.(SiS)
+#device		atavia		# VIA Technologies Inc.
+
 #
 # For older non-PCI, non-PnPBIOS systems, these are the hints lines to add:
 hint.ata.0.at="isa"
_______________________________________________
svn-src-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-src-all
To unsubscribe, send any mail to "svn-src-all-unsubscribe@freebsd.org"